Index: libs/spirit/test/scoped_lock_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/scoped_lock_tests.cpp,v
retrieving revision 1.10
diff -b -d -u -r1.10 scoped_lock_tests.cpp
--- libs/spirit/test/scoped_lock_tests.cpp	9 Aug 2004 04:23:52 -0000	1.10
+++ libs/spirit/test/scoped_lock_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -36,7 +36,7 @@
 #include <boost/thread/mutex.hpp>
 #include <boost/spirit/core.hpp>
 #include <boost/spirit/utility/scoped_lock.hpp>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 int
 main()
@@ -52,12 +52,10 @@
     mutex m;
     rule<> r = scoped_lock_d(m)['x'];
     parse_info<> pi = parse("x", r);
-    assert(pi.hit);
-    assert(pi.full);
-
-    std::cout  << "Test concluded successfully\n";
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
-    return 0;
+    return boost::report_errors();
 }
 
 #endif // defined(DONT_HAVE_BOOST)
Index: libs/spirit/test/subrule_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/subrule_tests.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 subrule_tests.cpp
--- libs/spirit/test/subrule_tests.cpp	9 Jul 2004 08:30:39 -0000	1.7
+++ libs/spirit/test/subrule_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -37,10 +37,10 @@
         )
     );
 
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 9);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 9);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("aaaabababaaabbb",
         (
@@ -50,10 +50,10 @@
         )
     );
 
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 15);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 15);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("aaaabababaaabba",
         (
@@ -63,9 +63,9 @@
         )
     );
 
-    assert(pi.hit);
-    assert(!pi.full);
-    assert(pi.length == 14);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(!pi.full);
+    BOOST_TEST(pi.length == 14);
 
     pi = parse("aaaabababaaabbb",
 
@@ -73,10 +73,10 @@
         start = (ch_p('a') | 'b') >> (start | 'b')
     );
 
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 15);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 15);
+    BOOST_TEST(*pi.stop == 0);
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -88,7 +88,6 @@
 main()
 {
     subrules_tests();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/switch_tests_eps_default.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/switch_tests_eps_default.cpp,v
retrieving revision 1.6
diff -b -d -u -r1.6 switch_tests_eps_default.cpp
--- libs/spirit/test/switch_tests_eps_default.cpp	18 Oct 2005 10:00:15 -0000	1.6
+++ libs/spirit/test/switch_tests_eps_default.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -255,29 +255,29 @@
         {
             GrammarT g;
             
-            assert(parse("a1", g).full);
-            assert(!parse("a,", g).hit);
-            assert(!parse("abcd", g).hit);
+            BOOST_TEST(parse("a1", g).full);
+            BOOST_TEST(!parse("a,", g).hit);
+            BOOST_TEST(!parse("abcd", g).hit);
             
-            assert(parse("a 1", g, space_p).full);
-            assert(!parse("a ,", g, space_p).hit);
-            assert(!parse("a bcd", g, space_p).hit);
+            BOOST_TEST(parse("a 1", g, space_p).full);
+            BOOST_TEST(!parse("a ,", g, space_p).hit);
+            BOOST_TEST(!parse("a bcd", g, space_p).hit);
             
-            assert(!parse("b1", g).hit);
-            assert(parse("b,", g).full);
-            assert(!parse("bbcd", g).hit);
+            BOOST_TEST(!parse("b1", g).hit);
+            BOOST_TEST(parse("b,", g).full);
+            BOOST_TEST(!parse("bbcd", g).hit);
             
-            assert(!parse("b 1", g, space_p).hit);
-            assert(parse("b ,", g, space_p).full);
-            assert(!parse("b bcd", g, space_p).hit);
+            BOOST_TEST(!parse("b 1", g, space_p).hit);
+            BOOST_TEST(parse("b ,", g, space_p).full);
+            BOOST_TEST(!parse("b bcd", g, space_p).hit);
             
-            assert(!parse("c1", g).hit);
-            assert(!parse("c,", g).hit);
-            assert(parse("cbcd", g).full);
+            BOOST_TEST(!parse("c1", g).hit);
+            BOOST_TEST(!parse("c,", g).hit);
+            BOOST_TEST(parse("cbcd", g).full);
             
-            assert(!parse("c 1", g, space_p).hit);
-            assert(!parse("c ,", g, space_p).hit);
-            assert(parse("c bcd", g, space_p).full);
+            BOOST_TEST(!parse("c 1", g, space_p).hit);
+            BOOST_TEST(!parse("c ,", g, space_p).hit);
+            BOOST_TEST(parse("c bcd", g, space_p).full);
         }
     };
 
@@ -290,8 +290,8 @@
         {
             GrammarT g;
             
-            assert(parse("d", g).full);
-            assert(parse(" d", g, space_p).full); // JDG 10-18-2005 removed trailing ' ' to
+            BOOST_TEST(parse("d", g).full);
+            BOOST_TEST(parse(" d", g, space_p).full); // JDG 10-18-2005 removed trailing ' ' to
                                                   // avoid post skip problems
         }
     };
@@ -324,5 +324,5 @@
     boost::mpl::for_each<default_epsilon_list_t>(
         tests::check_grammar_default_plain());
 
-    return 0;
+    return boost::report_errors();
 }
Index: libs/spirit/test/switch_tests_general_def.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/switch_tests_general_def.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 switch_tests_general_def.cpp
--- libs/spirit/test/switch_tests_general_def.cpp	13 Sep 2004 09:24:06 -0000	1.1
+++ libs/spirit/test/switch_tests_general_def.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -256,29 +256,29 @@
         {
             GrammarT g;
             
-            assert(parse("a1", g).full);
-            assert(!parse("a,", g).hit);
-            assert(!parse("abcd", g).hit);
+            BOOST_TEST(parse("a1", g).full);
+            BOOST_TEST(!parse("a,", g).hit);
+            BOOST_TEST(!parse("abcd", g).hit);
             
-            assert(parse("a 1", g, space_p).full);
-            assert(!parse("a ,", g, space_p).hit);
-            assert(!parse("a bcd", g, space_p).hit);
+            BOOST_TEST(parse("a 1", g, space_p).full);
+            BOOST_TEST(!parse("a ,", g, space_p).hit);
+            BOOST_TEST(!parse("a bcd", g, space_p).hit);
             
-            assert(!parse("b1", g).hit);
-            assert(parse("b,", g).full);
-            assert(!parse("bbcd", g).hit);
+            BOOST_TEST(!parse("b1", g).hit);
+            BOOST_TEST(parse("b,", g).full);
+            BOOST_TEST(!parse("bbcd", g).hit);
             
-            assert(!parse("b 1", g, space_p).hit);
-            assert(parse("b ,", g, space_p).full);
-            assert(!parse("b bcd", g, space_p).hit);
+            BOOST_TEST(!parse("b 1", g, space_p).hit);
+            BOOST_TEST(parse("b ,", g, space_p).full);
+            BOOST_TEST(!parse("b bcd", g, space_p).hit);
             
-            assert(!parse("c1", g).hit);
-            assert(!parse("c,", g).hit);
-            assert(parse("cbcd", g).full);
+            BOOST_TEST(!parse("c1", g).hit);
+            BOOST_TEST(!parse("c,", g).hit);
+            BOOST_TEST(parse("cbcd", g).full);
             
-            assert(!parse("c 1", g, space_p).hit);
-            assert(!parse("c ,", g, space_p).hit);
-            assert(parse("c bcd", g, space_p).full);
+            BOOST_TEST(!parse("c 1", g, space_p).hit);
+            BOOST_TEST(!parse("c ,", g, space_p).hit);
+            BOOST_TEST(parse("c bcd", g, space_p).full);
         }
     };
 
@@ -290,13 +290,13 @@
         {
             GrammarT g;
             
-            assert(!parse("d1", g).hit);
-            assert(!parse("d,", g).hit);
-            assert(!parse("dbcd", g).hit);
+            BOOST_TEST(!parse("d1", g).hit);
+            BOOST_TEST(!parse("d,", g).hit);
+            BOOST_TEST(!parse("dbcd", g).hit);
 
-            assert(!parse("d 1", g, space_p).hit);
-            assert(!parse("d ,", g, space_p).hit);
-            assert(!parse("d bcd", g, space_p).hit);
+            BOOST_TEST(!parse("d 1", g, space_p).hit);
+            BOOST_TEST(!parse("d ,", g, space_p).hit);
+            BOOST_TEST(!parse("d bcd", g, space_p).hit);
         }
     };
     
@@ -308,8 +308,8 @@
         {
             GrammarT g;
             
-            assert(parse("ddefault", g).full);
-            assert(parse("d default", g, space_p).full);
+            BOOST_TEST(parse("ddefault", g).full);
+            BOOST_TEST(parse("d default", g, space_p).full);
         }
     };
     
@@ -340,5 +340,5 @@
     boost::mpl::for_each<default_list_t>(tests::check_grammar_unknown_default());
     boost::mpl::for_each<default_list_t>(tests::check_grammar_default());
 
-    return 0;
+    return boost::report_errors();
 }
Index: libs/spirit/test/switch_tests_single.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/switch_tests_single.cpp,v
retrieving revision 1.6
diff -b -d -u -r1.6 switch_tests_single.cpp
--- libs/spirit/test/switch_tests_single.cpp	18 Oct 2005 10:00:15 -0000	1.6
+++ libs/spirit/test/switch_tests_single.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -228,29 +228,29 @@
         {
             GrammarT g;
             
-            assert(!parse("a1", g).hit);
-            assert(!parse("a,", g).hit);
-            assert(!parse("abcd", g).hit);
+            BOOST_TEST(!parse("a1", g).hit);
+            BOOST_TEST(!parse("a,", g).hit);
+            BOOST_TEST(!parse("abcd", g).hit);
             
-            assert(!parse("a 1", g, space_p).hit);
-            assert(!parse("a ,", g, space_p).hit);
-            assert(!parse("a bcd", g, space_p).hit);
+            BOOST_TEST(!parse("a 1", g, space_p).hit);
+            BOOST_TEST(!parse("a ,", g, space_p).hit);
+            BOOST_TEST(!parse("a bcd", g, space_p).hit);
             
-            assert(!parse("b1", g).hit);
-            assert(!parse("b,", g).hit);
-            assert(!parse("bbcd", g).hit);
+            BOOST_TEST(!parse("b1", g).hit);
+            BOOST_TEST(!parse("b,", g).hit);
+            BOOST_TEST(!parse("bbcd", g).hit);
             
-            assert(!parse("b 1", g, space_p).hit);
-            assert(!parse("b ,", g, space_p).hit);
-            assert(!parse("b bcd", g, space_p).hit);
+            BOOST_TEST(!parse("b 1", g, space_p).hit);
+            BOOST_TEST(!parse("b ,", g, space_p).hit);
+            BOOST_TEST(!parse("b bcd", g, space_p).hit);
             
-            assert(!parse("c1", g).hit);
-            assert(!parse("c,", g).hit);
-            assert(!parse("cbcd", g).hit);
+            BOOST_TEST(!parse("c1", g).hit);
+            BOOST_TEST(!parse("c,", g).hit);
+            BOOST_TEST(!parse("cbcd", g).hit);
             
-            assert(!parse("c 1", g, space_p).hit);
-            assert(!parse("c ,", g, space_p).hit);
-            assert(!parse("c bcd", g, space_p).hit);
+            BOOST_TEST(!parse("c 1", g, space_p).hit);
+            BOOST_TEST(!parse("c ,", g, space_p).hit);
+            BOOST_TEST(!parse("c bcd", g, space_p).hit);
         }
     };
 
@@ -262,8 +262,8 @@
         {
             GrammarT g;
             
-            assert(parse("ddefault", g).full);
-            assert(parse("d default", g, space_p).full);
+            BOOST_TEST(parse("ddefault", g).full);
+            BOOST_TEST(parse("d default", g, space_p).full);
         }
     };
     
@@ -275,8 +275,8 @@
         {
             GrammarT g;
             
-            assert(parse("d", g).full);
-            assert(parse(" d", g, space_p).full); // JDG 10-18-2005 removed trailing ' ' to
+            BOOST_TEST(parse("d", g).full);
+            BOOST_TEST(parse(" d", g, space_p).full); // JDG 10-18-2005 removed trailing ' ' to
                                                   // avoid post skip problems
         }
     };
@@ -289,29 +289,29 @@
         {
             GrammarT g;
 
-            assert(parse("a1", g).full);
-            assert(!parse("a,", g).hit);
-            assert(!parse("abcd", g).hit);
+            BOOST_TEST(parse("a1", g).full);
+            BOOST_TEST(!parse("a,", g).hit);
+            BOOST_TEST(!parse("abcd", g).hit);
 
-            assert(parse("a 1", g, space_p).full);
-            assert(!parse("a ,", g, space_p).hit);
-            assert(!parse("a bcd", g, space_p).hit);
+            BOOST_TEST(parse("a 1", g, space_p).full);
+            BOOST_TEST(!parse("a ,", g, space_p).hit);
+            BOOST_TEST(!parse("a bcd", g, space_p).hit);
 
-            assert(!parse("b1", g).hit);
-            assert(!parse("b,", g).hit);
-            assert(!parse("bbcd", g).hit);
+            BOOST_TEST(!parse("b1", g).hit);
+            BOOST_TEST(!parse("b,", g).hit);
+            BOOST_TEST(!parse("bbcd", g).hit);
             
-            assert(!parse("b 1", g, space_p).hit);
-            assert(!parse("b ,", g, space_p).hit);
-            assert(!parse("b bcd", g, space_p).hit);
+            BOOST_TEST(!parse("b 1", g, space_p).hit);
+            BOOST_TEST(!parse("b ,", g, space_p).hit);
+            BOOST_TEST(!parse("b bcd", g, space_p).hit);
             
-            assert(!parse("c1", g).hit);
-            assert(!parse("c,", g).hit);
-            assert(!parse("cbcd", g).hit);
+            BOOST_TEST(!parse("c1", g).hit);
+            BOOST_TEST(!parse("c,", g).hit);
+            BOOST_TEST(!parse("cbcd", g).hit);
             
-            assert(!parse("c 1", g, space_p).hit);
-            assert(!parse("c ,", g, space_p).hit);
-            assert(!parse("c bcd", g, space_p).hit);
+            BOOST_TEST(!parse("c 1", g, space_p).hit);
+            BOOST_TEST(!parse("c ,", g, space_p).hit);
+            BOOST_TEST(!parse("c bcd", g, space_p).hit);
         }
     };
     
@@ -347,5 +347,5 @@
     boost::mpl::for_each<default_plain_single_t>(
         tests::check_grammar_default_plain());
     
-    return 0;
+    return boost::report_errors();
 }
Index: libs/spirit/test/switch_tests_wo_default.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/switch_tests_wo_default.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 switch_tests_wo_default.cpp
--- libs/spirit/test/switch_tests_wo_default.cpp	18 Oct 2005 10:00:15 -0000	1.7
+++ libs/spirit/test/switch_tests_wo_default.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -120,48 +120,48 @@
         {
             GrammarT g;
             
-            assert(parse("a1", g).full);
-            assert(!parse("a,", g).hit);
-            assert(!parse("abcd", g).hit);
-            assert(!parse("a", g).hit);
+            BOOST_TEST(parse("a1", g).full);
+            BOOST_TEST(!parse("a,", g).hit);
+            BOOST_TEST(!parse("abcd", g).hit);
+            BOOST_TEST(!parse("a", g).hit);
             
-            assert(parse("a 1", g, space_p).full);
-            assert(!parse("a ,", g, space_p).hit);
-            assert(!parse("a bcd", g, space_p).hit);
-            assert(!parse("a ", g, space_p).hit);
+            BOOST_TEST(parse("a 1", g, space_p).full);
+            BOOST_TEST(!parse("a ,", g, space_p).hit);
+            BOOST_TEST(!parse("a bcd", g, space_p).hit);
+            BOOST_TEST(!parse("a ", g, space_p).hit);
             
-            assert(!parse("b1", g).hit);
-            assert(parse("b,", g).full);
-            assert(!parse("bbcd", g).hit);
-            assert(!parse("b", g).hit);
+            BOOST_TEST(!parse("b1", g).hit);
+            BOOST_TEST(parse("b,", g).full);
+            BOOST_TEST(!parse("bbcd", g).hit);
+            BOOST_TEST(!parse("b", g).hit);
             
-            assert(!parse("b 1", g, space_p).hit);
-            assert(parse("b ,", g, space_p).full);
-            assert(!parse("b bcd", g, space_p).hit);
-            assert(!parse("b ", g, space_p).hit);
+            BOOST_TEST(!parse("b 1", g, space_p).hit);
+            BOOST_TEST(parse("b ,", g, space_p).full);
+            BOOST_TEST(!parse("b bcd", g, space_p).hit);
+            BOOST_TEST(!parse("b ", g, space_p).hit);
             
-            assert(!parse("c1", g).hit);
-            assert(!parse("c,", g).hit);
-            assert(parse("cbcd", g).full);
-            assert(!parse("c", g).hit);
+            BOOST_TEST(!parse("c1", g).hit);
+            BOOST_TEST(!parse("c,", g).hit);
+            BOOST_TEST(parse("cbcd", g).full);
+            BOOST_TEST(!parse("c", g).hit);
             
-            assert(!parse("c 1", g, space_p).hit);
-            assert(!parse("c ,", g, space_p).hit);
-            assert(parse("c bcd", g, space_p).full);
-            assert(!parse("c ", g, space_p).hit);
+            BOOST_TEST(!parse("c 1", g, space_p).hit);
+            BOOST_TEST(!parse("c ,", g, space_p).hit);
+            BOOST_TEST(parse("c bcd", g, space_p).full);
+            BOOST_TEST(!parse("c ", g, space_p).hit);
             
-            assert(parse("d1", g).hit);
-            assert(parse("d,", g).hit);
-            assert(parse("dbcd", g).hit);
-            assert(parse("d", g).full);
+            BOOST_TEST(parse("d1", g).hit);
+            BOOST_TEST(parse("d,", g).hit);
+            BOOST_TEST(parse("dbcd", g).hit);
+            BOOST_TEST(parse("d", g).full);
             
-            assert(parse("d 1", g, space_p).hit);
-            assert(parse("d ,", g, space_p).hit);
-            assert(parse("d bcd", g, space_p).hit);
-            assert(parse(" d", g, space_p).full); // JDG 10-18-2005 removed trailing ' ' to
+            BOOST_TEST(parse("d 1", g, space_p).hit);
+            BOOST_TEST(parse("d ,", g, space_p).hit);
+            BOOST_TEST(parse("d bcd", g, space_p).hit);
+            BOOST_TEST(parse(" d", g, space_p).full); // JDG 10-18-2005 removed trailing ' ' to
                                                   // avoid post skip problems
 
-            assert(parse(" a 1 b , c bcd d", *g, space_p).full); 
+            BOOST_TEST(parse(" a 1 b , c bcd d", *g, space_p).full); 
             // JDG 10-18-2005 removed trailing ' ' to avoid post skip problems
         }
     };
@@ -174,13 +174,13 @@
         {
             GrammarT g;
             
-            assert(!parse("x1", g).hit);
-            assert(!parse("x,", g).hit);
-            assert(!parse("xbcd", g).hit);
+            BOOST_TEST(!parse("x1", g).hit);
+            BOOST_TEST(!parse("x,", g).hit);
+            BOOST_TEST(!parse("xbcd", g).hit);
 
-            assert(!parse("x 1", g, space_p).hit);
-            assert(!parse("x ,", g, space_p).hit);
-            assert(!parse("x bcd", g, space_p).hit);
+            BOOST_TEST(!parse("x 1", g, space_p).hit);
+            BOOST_TEST(!parse("x ,", g, space_p).hit);
+            BOOST_TEST(!parse("x bcd", g, space_p).hit);
         }
     };
        
@@ -199,5 +199,5 @@
     boost::mpl::for_each<grammar_list_t>(tests::check_grammar_known());
     boost::mpl::for_each<grammar_list_t>(tests::check_grammar_unknown_default());
 
-    return 0;
+    return boost::report_errors();
 }
Index: libs/spirit/test/symbols_add_null.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/symbols_add_null.cpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 symbols_add_null.cpp
--- libs/spirit/test/symbols_add_null.cpp	23 Mar 2005 12:57:28 -0000	1.3
+++ libs/spirit/test/symbols_add_null.cpp	18 Feb 2006 22:55:16 -0000
@@ -23,7 +23,7 @@
 #include <boost/spirit/symbols/impl/tst.ipp>
 #include <boost/utility/addressof.hpp>
 
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 typedef char char_type;
 typedef char const * iterator;
@@ -49,7 +49,7 @@
     {
         // It is not ok to add strings containing the null character.
         symbols_.add(begin, end, (void*) boost::addressof(symbols_));
-        assert(0);
+        BOOST_TEST(0);
     }
     catch (spirit_exception &e)
     {
@@ -59,9 +59,10 @@
     {
         // It is not ok to add strings containing the null character.
         symbols_.add(begin2, end2, (void*) boost::addressof(symbols_));
-        assert(0);
+        BOOST_TEST(0);
     }
     catch (spirit_exception &e)
     {
     }
+    return boost::report_errors();
 }
Index: libs/spirit/test/symbols_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/symbols_tests.cpp,v
retrieving revision 1.10
diff -b -d -u -r1.10 symbols_tests.cpp
--- libs/spirit/test/symbols_tests.cpp	28 Sep 2004 01:33:14 -0000	1.10
+++ libs/spirit/test/symbols_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -9,7 +9,7 @@
 =============================================================================*/
 #include <iostream>
 #include <string>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/spirit/core.hpp>
 #include <boost/spirit/symbols/symbols.hpp>
 #include <boost/detail/lightweight_test.hpp>
Index: libs/spirit/test/traverse_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/traverse_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 traverse_tests.cpp
--- libs/spirit/test/traverse_tests.cpp	9 Jul 2004 08:30:39 -0000	1.8
+++ libs/spirit/test/traverse_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -12,7 +12,7 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 #include <string>
 #include <vector>
@@ -67,13 +67,13 @@
     ));
 
     //  test (rough) runtime equality
-    assert(
+    BOOST_TEST(
         parse(
             "ab",
             post_order::traverse(identity_transform(), ch_p('a') >> 'b')
         ).full
     );
-    assert(
+    BOOST_TEST(
         !parse(
             "ba",
             post_order::traverse(identity_transform(), ch_p('a') >> 'b')
@@ -81,7 +81,7 @@
     );
 
     ///////////////////////////////////////////////////////////////////////////
-    assert(
+    BOOST_TEST(
         !parse(
             "cba",
             post_order::traverse(
@@ -117,7 +117,7 @@
     ));
 
     c = 0;
-    assert(
+    BOOST_TEST(
         parse(
             "aabcd",
             post_order::traverse(
@@ -126,7 +126,7 @@
             )
         ).full
     );
-    assert(c == 'b');
+    BOOST_TEST(c == 'b');
 
 ///////////////////////////////////////////////////////////////////////////////
 //  test: (a >> (b >> c)) >> d
@@ -150,7 +150,7 @@
     ));
 
     c = 0;
-    assert(
+    BOOST_TEST(
         parse(
             "aabcd",
             post_order::traverse(
@@ -159,7 +159,7 @@
             )
         ).full
     );
-    assert(c == 'b');
+    BOOST_TEST(c == 'b');
 
 ///////////////////////////////////////////////////////////////////////////////
 //  test: a >> (b >> (c >> d))
@@ -183,7 +183,7 @@
     ));
 
     c = 0;
-    assert(
+    BOOST_TEST(
         parse(
             "aabcd",
             post_order::traverse(
@@ -192,7 +192,7 @@
             )
         ).full
     );
-    assert(c == 'b');
+    BOOST_TEST(c == 'b');
 
 ///////////////////////////////////////////////////////////////////////////////
 //  test: a >> ((b >> c) >> d)
@@ -216,7 +216,7 @@
     ));
 
     c = 0;
-    assert(
+    BOOST_TEST(
         parse(
             "aabcd",
             post_order::traverse(
@@ -225,7 +225,7 @@
             )
         ).full
     );
-    assert(c == 'b');
+    BOOST_TEST(c == 'b');
 
 ///////////////////////////////////////////////////////////////////////////////
 //  test: (a >> b) >> (c >> d)
@@ -249,7 +249,7 @@
     ));
 
     c = 0;
-    assert(
+    BOOST_TEST(
         parse(
             "aabcd",
             post_order::traverse(
@@ -258,7 +258,7 @@
             )
         ).full
     );
-    assert(c == 'b');
+    BOOST_TEST(c == 'b');
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -363,13 +363,13 @@
 std::vector<std::string>::const_iterator it = trace_vector.get_output().begin();
 std::vector<std::string>::const_iterator end = trace_vector.get_output().end();
 
-    assert(cnt == trace_vector.get_output().size());
+    BOOST_TEST(cnt == trace_vector.get_output().size());
     for (/**/;  it != end; ++it)
     {
         if (std::find(first, first + cnt, *it) == first + cnt)
             cerr << "node in question: " << *it << endl;
 
-        assert(std::find(first, first + cnt, *it) != first + cnt);
+        BOOST_TEST(std::find(first, first + cnt, *it) != first + cnt);
     }
 
 // re-find all expected strings in the vector of trace strings
@@ -381,7 +381,7 @@
         if (std::find(begin, end, std::string(expected)) == end)
             cerr << "node in question: " << expected << endl;
 
-        assert(std::find(begin, end, std::string(expected)) != end);
+        BOOST_TEST(std::find(begin, end, std::string(expected)) != end);
     }
 }
 
@@ -510,7 +510,6 @@
     traverse_identity_tests();
     traverse_trace_tests();
 
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/tree_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/tree_tests.cpp,v
retrieving revision 1.5
diff -b -d -u -r1.5 tree_tests.cpp
--- libs/spirit/test/tree_tests.cpp	3 Aug 2004 03:45:18 -0000	1.5
+++ libs/spirit/test/tree_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -23,7 +23,7 @@
 #include <string>
 
 #include <fstream>
-#include <assert.h>
+#include <boost/detail/lightweight_test.hpp>
 #include "impl/string_length.hpp"
 
 #define DEBUG_DUMP_TREES    (1)
@@ -335,7 +335,7 @@
         tree_parse_info<iterator_t, factory_t> info =
             ast_parse(text_begin, text_end, gram);
 
-        assert(info.full);
+        BOOST_TEST(info.full);
 
         tree_t expected = gram.template expected_tree<tree_t>();
 
@@ -344,7 +344,7 @@
         dump(cout, expected);
 #endif
 
-        assert(equal(info.trees[0], expected));
+        BOOST_TEST(equal(info.trees[0], expected));
     }
 };
 
@@ -357,7 +357,7 @@
     void throw_exception(std::exception const & )
     {
         std::cerr << "Exception caught" << std::endl;
-        assert(0);
+        BOOST_TEST(0);
     }
 }
 
@@ -379,7 +379,5 @@
 
     mpl::for_each<tests_t, mpl::_> (run_test());
 
-    cout << "Test completed successfully" << endl;
-
-    return 0;
+    return boost::report_errors();
 }
 